Debian Bug report logs - #631229
ITP: dhcpd-pools -- ISC dhcpd lease analysis and reporting

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Asbjørn Sloth Tønnesen <asbjorn@asbjorn.biz>

Date: Tue, 21 Jun 2011 19:06:01 UTC

Owned by: Asbjørn Sloth Tønnesen <asbjorn@asbjorn.it>

Severity: wishlist

Merged with 705049

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#631229; Package wnpp. (Tue, 21 Jun 2011 19:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asbjørn Sloth Tønnesen <asbjorn@asbjorn.biz>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 21 Jun 2011 19:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Asbjørn Sloth Tønnesen <asbjorn@asbjorn.biz>
To: submit@bugs.debian.org
Subject: ITP: dhcpd-pools - ISC dhcpd lease analysis and reporting
Date: Tue, 21 Jun 2011 18:59:09 +0000
Package: wnpp
Severity: wishlist

* Package name : dhcpd-pools
Version : 2.15
Upstream Author : Sami Kerola <kerolasa@iki.fi>
* URL : http://dhcpd-pools.sourceforge.net/
* License : GPL-3.0+
Description : ISC dhcpd lease analysis and reporting
 This is dhcpd-pools ISC dhcp shared network and pool range usage
 analysis. Purpose of command is to count usage ratio of each IP range
 and shared network
 pool which ISC dhcpd is in control of. The command has no native
 monitoring capability, for instance the tool will not talk nagios
 protocol. To accomodiate this need the csv output format is meant to
 be parsed by some organization specific script etc. Users of the
 command are most likely ISPs and other organizations that have large
 IP space.

-- 
Best regards
Asbjørn Sloth Tønnesen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#631229; Package wnpp. (Thu, 23 Jun 2011 12:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asbjørn Sloth Tønnesen <asbjorn@asbjorn.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Jun 2011 12:36:08 GMT) Full text and rfc822 format available.

Message #10 received at 631229@bugs.debian.org (full text, mbox):

From: Asbjørn Sloth Tønnesen <asbjorn@asbjorn.it>
To: 631229@bugs.debian.org
Subject: Initial package available
Date: Thu, 23 Jun 2011 12:26:59 +0000
Hi,

I have uploaded the package to mentors:
  http://mentors.debian.net/debian/pool/main/d/dhcpd-pools

Request for sponsor:
  http://lists.debian.org/debian-mentors/2011/06/msg00231.html




Changed Bug title to 'ITP: dhcpd-pools -- ISC dhcpd lease analysis and reporting' from 'ITP: dhcpd-pools - ISC dhcpd lease analysis and reporting' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:13:00 GMT) Full text and rfc822 format available.

Owner recorded as Asbjørn Sloth Tønnesen <asbjorn@asbjorn.it>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 22:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Asbjørn Sloth Tønnesen <asbjorn@asbjorn.it>:
Bug#631229; Package wnpp. (Tue, 16 Apr 2013 11:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Grohne <h.grohne@cygnusnetworks.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Asbjørn Sloth Tønnesen <asbjorn@asbjorn.it>. (Tue, 16 Apr 2013 11:30:09 GMT) Full text and rfc822 format available.

Message #19 received at 631229@bugs.debian.org (full text, mbox):

From: Helmut Grohne <h.grohne@cygnusnetworks.de>
To: Mònica Ramírez Arceda <monica@debian.org>
Cc: 705049@bugs.debian.org, 631229@bugs.debian.org, Asbjørn Sloth Tønnesen <asbjorn@asbjorn.biz>
Subject: Re: package dhcpd-pools: bugs ITP 631229 and ITP 705049 are not merged
Date: Tue, 16 Apr 2013 13:09:20 +0200
Control: forcemerge 631229 705049

On 10.04.2013, at 12:23, Mònica Ramírez Arceda <monica@debian.org> wrote:
> There was already another ITP for dhcpd-pools (#631229), although it's
> an old one and may be abandoned. Could you contact Asbjørn Sloth
> Tønnesen <asbjorn@asbjorn.biz> and ask him if he wants to abandon or
> co-maintain this package with you?

Thank you for telling me about this. It was not my intention to take over
this ITP via a duplicate. I merely forgot to check for duplicates. (And I
didn't use reportbug. My fail.)

> Once you've done this, you should set the right owner in both bugs and
> merge them.

Merging them now with the original one being the master and therefore
taking ownership.

Asbjørn, are you still interested in maintaining this package? As far as I
can see your package unfortunately got removed from mentors.d.n by timeout.
Also the last reply on your RFS thread appears to be a followup review by
Kilian Krause (http://lists.debian.org/debian-mentors/2011/06/msg00345.html)
not answered by you.

I would like to see this package in Debian. I don't care that much about who
maintains it. Your previous packaging appears to be based on 2.15 and I
duplicated (sorry) that work for 2.21. Feel free to take any bits you from
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=dhcpd-pools_2.21-1.debian.tar.gz;att=1;bug=705049
If you'd like collaborative maintenance or want someone to review an updated
package, you can ask me.

Helmut


Merged 631229 705049 Request was from Helmut Grohne <h.grohne@cygnusnetworks.de> to 631229-submit@bugs.debian.org. (Tue, 16 Apr 2013 11:30:12 GMT) Full text and rfc822 format available.

Merged 631229 705049 Request was from Helmut Grohne <h.grohne@cygnusnetworks.de> to 705049-submit@bugs.debian.org. (Tue, 16 Apr 2013 11:30:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Asbjørn Sloth Tønnesen <asbjorn@asbjorn.it>:
Bug#631229; Package wnpp. (Tue, 30 Apr 2013 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Grohne <h.grohne@cygnusnetworks.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Asbjørn Sloth Tønnesen <asbjorn@asbjorn.it>. (Tue, 30 Apr 2013 07:51:04 GMT) Full text and rfc822 format available.

Message #28 received at 631229@bugs.debian.org (full text, mbox):

From: Helmut Grohne <h.grohne@cygnusnetworks.de>
To: "631229@bugs.debian.org" <631229@bugs.debian.org>
Cc: 631229-submitter@bugs.debian.org
Subject: Re: ITP: dhcpd-pools -- ISC dhcpd lease analysis and reporting tool
Date: Tue, 30 Apr 2013 09:49:32 +0200
[Message part 1 (text/plain, inline)]
On 09.04.2013, at 16:25, Helmut Grohne <h.grohne@cygnusnetworks.de> wrote:
>   * Package name    : dhcpd-pools
>     Version         : 2.21

Version 2.22 now.

>     Upstream Author : Sami Kerola <kerolasa@iki.fi>
>   * URL             : http://dhcpd-pools.sf.net/
>   * License         : BSD-2-clause + GPL-3+ (for embedded gnulib)
>     Programming Lang: C
>     Description     : ISC dhcpd lease analysis and reporting tool

> I think that any large scale user of isc-dhcp-server would be interested in this
> package, because it is an excellent diagnostics tool. The closest thing already
> in Debian is libtext-dhcpleases-perl. A preliminary packaging is attached for
> those who need it now, but I intend to wait for the next upstream release,
> because the test suite is currently dysfunctional. Upstream is nice to interact 
> with. I am not opposed to shared/team maintenance or reviews.

The new upstream release fixes (among other things) the test suite. I attached
a new .debian.tar for those who need it and believe it to comply with Debian's
best practises. I have not yet heard anything from Asbjørn Sloth Tønnesen. In
case there is no reply within say a week, I will take over ownership of this
ITP. I would like to thank Sami Kerola for the excellent communication and
fixes. A very good upstream.

Helmut

[dhcpd-pools_2.22-1.debian.tar.gz (application/x-gzip, attachment)]

Message sent on to Asbjørn Sloth Tønnesen <asbjorn@asbjorn.biz>:
Bug#631229. (Tue, 30 Apr 2013 08:03:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:39:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.